Attribute VB_Name = "SWXP_Test"
Public Sub SWXP_Test01()

    Dim t As SWXP01
    Dim r As Integer
    Dim s As String

    ' Connect

    s = "flgdws01"
    Set t = New SWXP01
    r = t.Connect(s)
    If r <> 0 Then
        r = MsgBox("Error connecting to service.", MsgBoxStyle.OKOnly, "SWTest01")
        Return
    End If

    ' Test polygon retrieval

    Dim p As IPolygon
    Dim ia As IArea
    Dim a As Double
    Dim gc As IGeometryCollection
    Dim pc As IPointCollection

    r = t.SetView("arizona_gas")
    r = t.SetTable("leak_survey_boundary")
    r = t.GetGeometry("extent", p)
    Set ia = p
    a = ia.Area
    Set gc = p
    r = gc.GeometryCount
    Set pc = p
    r = pc.PointCount()

    ' Test complex record retrieval

    Dim i As Integer
    Dim l As Double
    Dim route As IPolyline
    Dim anno As ITextElement
    Dim ie As IElement
    Dim loc As IPoint
    Dim x As Double
    Dim y As Double
    Dim tsym As ITextSymbol
    Dim angle As Double
    Dim just As Integer

    r = t.SetView("arizona_land")
    r = t.SetTable("street_centerline_segment")
    For i = 1 To 4
        r = t.GetString("feature_status", s)
        r = t.GetGeometry("route", route)
        l = route.Length
        Set pc = route
        r = pc.PointCount()

        ' Look at joined street_name

        r = t.GetJoinedRecord("street_name")
        Do While r = 0
            r = t.GetString("street_name", s)
            r = t.GetNextRecord()
        Loop

        ' Look at street_annos

        r = t.GetJoinedRecord("street_annos")
        Do While r = 0
            r = t.GetString("scale", s)
            r = t.GetAnnotation("annotation", anno)
            Set ie = anno
            Set loc = ie.Geometry
            x = loc.x
            y = loc.y
            s = anno.Text
            Set tsym = anno.Symbol
            angle = tsym.angle
            just = tsym.HorizontalAlignment
            just = tsym.VerticalAlignment
            r = t.GetNextRecord()
        Loop

        r = t.GetNextRecord()

    Next

    ' Test dimension retrieval

    r = t.SetView("arizona_gas")
    r = t.SetTable("large_scale_dimension")
    Do While r = 0
        r = t.GetDimension("dimension", route, anno)
        s = anno.Text
        Set tsym = anno.Symbol
        angle = tsym.angle
        just = tsym.HorizontalAlignment
        just = tsym.VerticalAlignment
        l = route.Length
        Set pc = route
        For i = 0 To (pc.PointCount - 1)
            Set loc = pc.Point(i)
            x = loc.x
            y = loc.y
        Next
        Set ie = anno
        Set loc = ie.Geometry
        x = loc.x
        y = loc.y
        r = t.GetNextRecord()
    Loop

End Sub
Public Sub SWXP_Test02()

    Dim t As SWXP01
    Dim r As Integer
    Dim s As String

    ' Connect

    s = "flgdws01"
    Set t = New SWXP01
    r = t.Connect(s)
    If r <> 0 Then
        r = MsgBox("Error connecting to service.", MsgBoxStyle.OKOnly, "SWTest02")
        Return
    End If
    
    ' Test raster retrieval
    
    r = t.SetView("mapbase")
    r = t.SetTable("air_photo")
    r = t.GetRaster("image", "d:\0home\temp", "ap.img", 0)
    r = t.SetTable("terrain_raster")
    r = t.GetRaster("heights", "d:\0home\temp", "tr.img", 1)
    
    ' Test tin retrieval
    
    r = t.SetTable("terrain_tin")
    r = t.GetTin("heights", "d:\0home\temp\tin1")
    r = t.GetNextRecord
    r = t.GetTin("heights", "d:\0home\temp\tin2")

End Sub

